import { RouterLinkProps } from 'vue-tsx-support/options/enable-vue-router';
export declare type Color = 'primary' | 'secondary' | 'accent' | 'error' | 'warning' | 'info' | 'success' | 'white' | 'black' | 'grey';
export declare type Colorable = {
    color?: Color;
};
export declare type Denseable = {
    dense?: boolean;
};
export declare type Detachable = {
    attach?: any;
    contentClass?: string;
};
export declare type Disableable = {
    disabled?: boolean;
};
export declare type CommonEvents = {
    onBlur: any;
    onChange: any;
    onClick: any;
    onInput: any;
    onKeyup: any;
    onKeydown: any;
};
export declare type Inputable = {
    appendIcon?: string;
    /** @deprecated */
    appendIconCb?: Function;
    backgroundColor?: string;
    disabled?: boolean;
    height?: number | string;
    hideDetails?: boolean;
    hint?: string;
    label?: string;
    persistentHint?: boolean;
    prependIcon?: string;
    /** @deprecated */
    prependIconCb?: Function;
    readonly?: boolean;
    value?: any;
};
export declare type Imageable = {
    alt?: string;
    contain?: boolean;
    cover?: boolean;
    gradient?: string;
    lazySrc?: string;
    position?: string;
    sizes?: string;
    src?: string | SrcObject;
    srcset?: string;
};
export interface SrcObject {
    src: string;
    srcset?: string;
    lazySrc: string;
    aspect: number;
}
export declare type Loadable = {
    loading?: boolean | string;
};
export declare type Maskable = {
    dontFillMaskBlanks?: boolean;
    mask?: string | object;
    returnMaskedValue?: boolean;
};
export declare type Measurable = {
    aspectRatio?: string;
    height?: number;
    width?: number;
    maxHeight?: number;
    maxWidth?: number;
};
export declare type Positionable = {
    absolute?: boolean;
    fixed?: boolean;
    top?: boolean;
    bottom?: boolean;
    left?: boolean;
    right?: boolean;
};
export declare type Rippleable = {
    ripple?: boolean | object;
};
export declare type Routable = Rippleable & Partial<RouterLinkProps> & {
    href?: string | object;
    tag?: string;
    target?: string;
    nuxt?: boolean;
};
export declare type Selectable = {
    id?: string;
    inputValue?: any;
    falseValue?: any;
    trueValue?: any;
    multiple?: boolean;
    label?: string;
};
export declare type Sizeable = {
    size?: string | number;
    small?: boolean;
    medium?: boolean;
    large?: boolean;
    xLarge?: boolean;
};
export declare type Themable = {
    dark?: boolean;
    light?: boolean;
};
export declare type Transitionable = {
    mode?: string;
    origin?: string;
    transition?: boolean | string;
};
export declare type Validatable = {
    error?: boolean;
    errorCount?: number | string;
    errorMessages?: string | string[];
    messages?: string | string[];
    rules?: ((...args: any[]) => boolean | string)[];
    success?: boolean;
    successMessages?: string | string[];
    validateOnBlur?: boolean;
};
